Loading...
Searching...
No Matches
Magick::SecurityPolicy Class Reference

## Static Public Member Functions

static bool | precision (const int precision_)
static bool | anonymousCacheMemoryMap ()
static bool | anonymousSystemMemoryMap ()
static bool | maxMemoryRequest (const MagickSizeType limit_)
static bool | maxProfileSize (const MagickSizeType limit_)
static bool | shred (const int passes_)

## Static Private Member Functions

static bool | setValue (const PolicyDomain domain_, const std::string name_, const std::string value_)
template<typename T >
static std::string | toString (const T &value)

## Detailed Description

Definition at line 17 of file SecurityPolicy.h.

## Constructor & Destructor Documentation

## SecurityPolicy()

Magick::SecurityPolicy::SecurityPolicy | ( | void |  | ) |

private

Definition at line 66 of file SecurityPolicy.cpp.

{
}

## Member Function Documentation

## anonymousCacheMemoryMap()

bool Magick::SecurityPolicy::anonymousCacheMemoryMap | ( |  | ) |

static

Definition at line 20 of file SecurityPolicy.cpp.

{
return(setValue(CachePolicyDomain,"memory-map","anonymous"));
}

## anonymousSystemMemoryMap()

bool Magick::SecurityPolicy::anonymousSystemMemoryMap | ( |  | ) |

static

Definition at line 25 of file SecurityPolicy.cpp.

{
return(setValue(SystemPolicyDomain,"memory-map","anonymous"));
}

## maxMemoryRequest()

bool Magick::SecurityPolicy::maxMemoryRequest | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 39 of file SecurityPolicy.cpp.

{
string
value;
value=toString(limit_);
return(setValue(SystemPolicyDomain,"max-memory-request",value));
}

## maxProfileSize()

bool Magick::SecurityPolicy::maxProfileSize | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 48 of file SecurityPolicy.cpp.

{
string
value;
value=toString(limit_);
return(setValue(SystemPolicyDomain,"max-profile-size",value));
}

## precision()

bool Magick::SecurityPolicy::precision | ( | const int | precision_ | ) |

static

Definition at line 30 of file SecurityPolicy.cpp.

{
string
value;
value=toString(precision_);
return(setValue(SystemPolicyDomain,"precision",value));
}

## setValue()

bool Magick::SecurityPolicy::setValue | ( | const PolicyDomain | domain_,
|  | const std::string | name_,
|  | const std::string | value_
| ) |  |

static private

Definition at line 70 of file SecurityPolicy.cpp.

{
MagickBooleanType
status;
GetPPException;
status=MagickCore::SetMagickSecurityPolicyValue(domain_,name_.c_str(),
value_.c_str(),exceptionInfo);
ThrowPPException(false);
return(status != MagickFalse);
}

## shred()

bool Magick::SecurityPolicy::shred | ( | const int | passes_ | ) |

static

Definition at line 57 of file SecurityPolicy.cpp.

{
string
value;
value=toString(passes_);
return(setValue(SystemPolicyDomain,"shred",value));
}

## toString()

template<typename T >

std::string Magick::SecurityPolicy::toString | ( | const T & | value | ) |

static private

Definition at line 84 of file SecurityPolicy.cpp.

{
stringstream ss;
ss << value;
return ss.str();
}

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/SecurityPolicy.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/SecurityPolicy.cpp